Pkg.build("Arpack") Error building `Arpack`:

julia> Pkg.build(“Arpack”)
Building Arpack → C:\Users\Administrator\.juliapro\JuliaPro_v1.2.0-1\packages\Arpack\zCmTA\deps\build.log
┌ Error: Error building Arpack:
│ ┌ Warning: Platform x86_64-w64-mingw32-libgfortran4 is not an officially supported platform
│ └ @ BinaryProvider C:\Users\julia\AppData\Local\Julia-1.2.0\share\julia\stdlib\v1.2\BinaryProvider\src\PlatformNames.jl:450
│ ERROR: LoadError: ArgumentError: Will not install a tarball of platform unknown-unknown-unknown on a system of platform x86_64-w64-mingw32-gcc7-cxx11 unless ignore_platform is explicitly set to true., override this by setting ignore_platform│ Stacktrace: │ [1] #install#137(::Prefix, ::String, ::Bool, ::Bool, ::Bool, ::typeof(install), ::String, ::String) at C:\Users\julia\AppData\Local\Julia-1.2.0\share\julia\stdlib\v1.2\BinaryProvider\src\Prefix.jl:288│ [2] (::getfield(BinaryProvider, Symbol("#kw##install")))(::NamedTuple{(:prefix, :force, :verbose),Tuple{Prefix,Bool,Bool}}, ::typeof(install), ::String, ::String) at .\tuple.jl:0│ [3] top-level scope at C:\Users\Administrator\.juliapro\JuliaPro_v1.2.0-1\packages\Arpack\zCmTA\deps\build.jl:70 │ [4] include at .\boot.jl:328 [inlined] │ [5] include_relative(::Module, ::String) at .\loading.jl:1094 │ [6] include(::Module, ::String) at .\Base.jl:31 │ [7] include(::String) at .\client.jl:431 │ [8] top-level scope at none:5 └ @ Pkg.Operations C:\Users\julia\AppData\Local\Julia-1.2.0\share\julia\stdlib\v1.2\Pkg\src\Operations.jl:1138 versioninfo() Julia Version 1.2.0Commit c6da87ff4b (2019-08-20 00:03 UTC) Platform Info: OS: Windows (x86_64-w64-mingw32) CPU: Intel(R) Core(TM) i5-5200U CPU @ 2.20GHz WORD_SIZE: 64 LIBM: libopenlibm LLVM: libLLVM-6.0.1 (ORCJIT, broadwell) Environment: JULIA_EDITOR = "D:\JuliaPro\app-1.40.1\atom.exe" -a JULIA_NUM_THREADS = 2 JULIA_PKG_SERVER = https://pkg.juliacomputing.com/ JULIA_PKG_TOKEN_PATH = C:\Users\Administrator\.juliapro\token.toml Status C:\Users\Administrator.juliapro\JuliaPro_v1.2.0-1\environments\v1.2\Project.toml`
[7d9fca2a] Arpack v0.3.2
[c52e3926] Atom v0.9.1
[a93c6f00] DataFrames v0.20.0
[59287772] Formatting v0.4.1
[aa1b3936] GraphIO v0.4.0
[3a76869c] HigherOrderClustering v0.0.0 #master (https://github.com/arbenson/HigherOrderClustering.jl)
[7073ff75] IJulia v1.19.0
[682c06a0] JSON v0.21.0
[e5e0dc1b] Juno v0.7.1
[093fc24a] LightGraphs v1.3.1
[4f449596] MatrixNetworks v1.0.0
[d330b81b] PyPlot v2.8.2
[2913bbd2] StatsBase v0.32.0
[37e2e46d] LinearAlgebra
[9a3f8284] Random
[2f01184e] SparseArrays

错误在这里

Warning: Platform x86_64-w64-mingw32-libgfortran4 is not an officially supported platform
ERROR: LoadError: ArgumentError: Will not install a tarball of platform unknown-unknown-unknown on a system of platform x86_64-w64-mingw32-gcc7-cxx11 unless ignore_platform is explicitly set to true.,

简单来说就是你的平台不被官方支持. 可以参考下Stackoverflow的这个回答
为什么不试试 Julia 1.4.1 而不是 JuliaPro 呢

之前遇到这个问题,我就下载了JuliaPro 1.4 ,但是就遇到之前给你说的那个问题,安装matrixnetwork包的问题

京ICP备17009874号-2